/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2006 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/
// HTMLFont.h: interface for the CHTMLFont class.
//

#if !defined(AFX_HTMLFONT_H__84F80EAE_21F9_4BD3_853E_7AA130226700__INCLUDED_)
#define AFX_HTMLFONT_H__84F80EAE_21F9_4BD3_853E_7AA130226700__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHTMLFont : public CObject
{
public:
	CHTMLFont();
	CHTMLFont(const CHTMLFont & Police);
	virtual ~CHTMLFont();

	CHTMLFont & operator = (const CHTMLFont & Police);

protected:
	CString		m_strName;
	double		m_dSize;
	bool 		m_isBold;
	bool 		m_isItalic;
	bool 		m_isUnderline;
	bool		m_isSmooth;
	bool        m_isClearType;
	short		m_nCharSet;
	COLORREF	m_rgbColor;
protected:
	void CopyProperties(const CHTMLFont & fnt);

public:
	CFont* GetFont(CDC * pDC) const;
	static void DeleteArray(CObArray & arrTableau);

	const CString& GetName() const 
	{
		return m_strName;
	}
	void SetName(LPCTSTR strName)
	{
		m_strName = strName;
	}
	//
	double GetSize() const 
	{
		return m_dSize;
	}
	void SetSize(double dSize)
	{
		m_dSize = dSize;
	}
	//
	bool IsBold() const 
	{
		return m_isBold;
	}
	void SetBold(bool isBold)
	{
		m_isBold = isBold;
	}
	//
	bool IsItalic() const 
	{
		return m_isItalic;
	}
	void SetItalic(bool isItalic)
	{
		m_isItalic = isItalic;
	}
	//
	bool IsUnderline() const 
	{
		return m_isUnderline;
	}
	void SetUnderline(bool isUnderline)
	{
		m_isUnderline = isUnderline;
	}
	//
	void SetSmooth(bool isSmooth)
	{
		m_isSmooth = isSmooth;
	}
	//
	void SetClearType(bool isCleartype)
	{
		m_isClearType = isCleartype;
	}
	//
	short GetCharSet() const 
	{
		return m_nCharSet;
	}
	void SetCharSet(short nCharSet)
	{
		m_nCharSet = nCharSet;
	}
	//
	COLORREF GetColor() const 
	{
		return m_rgbColor;
	}
	void SetColor(COLORREF nColor)
	{
		m_rgbColor = nColor;
	}
};

#endif // !defined(AFX_HTMLFONT_H__84F80EAE_21F9_4BD3_853E_7AA130226700__INCLUDED_)
