/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2006 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(__XFONT_H)
#define __XFONT_H

#include "HTMLDrawer.h"
#include "HTMLFont.h"

struct FONTSETTINGS
{
	string name;
	short charset;
	int height;
	int color;

	bool bold;
	bool italic;
	bool underline;

	bool shadow;
	int shadowx;
	int shadowy; 
	int shadowcolor;

	bool textoutline;
	bool textoutlineextra;
	int textoutlinecolor;

	int align;
	int vertalign;

	bool smooth;
	bool cleartype;

	bool noellipsis;
};  

class xFont
{
public:

	xFont();
	virtual ~xFont();

	void configure(const string &uniqueKey, const string &groupKey);
	void apply(HDC hDC, int left, int right, int top, int bottom, const string &text, StringList &labelHREFClickRegions, int imageType, bool smoothoff = false, int setalign = -1, int setvertAlign = -1, bool scrolling = false);
	POINT measure(HDC hDC, int left, int right, const string &text, int imageType);

	HFONT gethFont();
	COLORREF getTextColor() { return normal.color; };
	bool getLineBreak() { return lineBreak; };

	int leftBorder;
	int topBorder;
	int rightBorder;
	int bottomBorder;

	bool useHoverText;
	bool usePressedText;
	
private:

	bool subconfigure(const string &uniqueKey, const string &groupKey, const string &prefixKey, FONTSETTINGS &workSettings, FONTSETTINGS &defaultSettings);

	CHTMLFont fntNormal;
	CHTMLFont fntHover;
	CHTMLFont fntPressed;

	FONTSETTINGS normal;
	FONTSETTINGS hover;
	FONTSETTINGS pressed;

	bool lineBreak;
	int newlineSpace;
};

#endif
